package com.zxhl.cms.umeng.callback;

import com.umeng.socialize.UMShareListener;
import com.umeng.socialize.bean.SHARE_MEDIA;

/**
 * Created by gaoleichao on 2018/5/7.
 */

public abstract class UmengShareCallback implements UMShareListener {

    @Override
    public void onStart(SHARE_MEDIA share_media) {

    }

    @Override
    public void onResult(SHARE_MEDIA share_media) {
        onSuccess(share_media);
    }

    @Override
    public void onError(SHARE_MEDIA share_media, Throwable throwable) {
        onFailure();
    }

    @Override
    public void onCancel(SHARE_MEDIA share_media) {
        onCancel();
    }

    public abstract void onSuccess(SHARE_MEDIA share_media);

    public abstract void onCancel();

    public abstract void onFailure();

}
